diff --git a/example/multi-threaded-server.cpp b/example/multi-threaded-server.cpp
index c9126052..d45c1dac 100644
--- a/example/multi-threaded-server.cpp
+++ b/example/multi-threaded-server.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helloworld/helloworld.grpc.pb.h"
 #include "rethrow_first_arg.hpp"
 #include "server_shutdown_asio.hpp"
diff --git a/example/snippets/server.cpp b/example/snippets/server.cpp
index 2dfb3426..2d490301 100644
--- a/example/snippets/server.cpp
+++ b/example/snippets/server.cpp
@@ -13,7 +13,7 @@
 // limitations under the License.
 
 #include "example/v1/example.grpc.pb.h"
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helper.hpp"
 #include "server_shutdown_asio.hpp"
 
diff --git a/example/unifex-server.cpp b/example/unifex-server.cpp
index 75e62d61..e2b7412a 100644
--- a/example/unifex-server.cpp
+++ b/example/unifex-server.cpp
@@ -14,7 +14,7 @@
 
 #include "example/v1/example.grpc.pb.h"
 #include "example/v1/example_ext.grpc.pb.h"
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "helper.hpp"
 #include "server_shutdown_unifex.hpp"
 
diff --git a/test/example/test_examples.cpp b/test/example/test_examples.cpp
index 4dec416f..8ac75a01 100644
--- a/test/example/test_examples.cpp
+++ b/test/example/test_examples.cpp
@@ -15,7 +15,7 @@
 #include "utils/free_port.hpp"
 
 #include <boost/process/child.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <thread>
 
diff --git a/test/src/test_asio_grpc_17.cpp b/test/src/test_asio_grpc_17.cpp
index cf930984..739a2259 100644
--- a/test/src/test_asio_grpc_17.cpp
+++ b/test/src/test_asio_grpc_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/doctest.hpp"
 #include "utils/grpc_client_server_test.hpp"
diff --git a/test/src/test_execution.cpp b/test/src/test_execution.cpp
index c8af656a..5f229280 100644
--- a/test/src/test_execution.cpp
+++ b/test/src/test_execution.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/delete_guard.hpp"
diff --git a/test/src/test_health_check_service_17.cpp b/test/src/test_health_check_service_17.cpp
index a8422cf3..fc5fa3c5 100644
--- a/test/src/test_health_check_service_17.cpp
+++ b/test/src/test_health_check_service_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "grpc/health/v1/health.grpc.pb.h"
+#include "test/proto/grpc/health/v1/health.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
 #include "utils/doctest.hpp"
diff --git a/test/src/test_server_rpc_17.cpp b/test/src/test_server_rpc_17.cpp
index 4c8c3b21..44004f43 100644
--- a/test/src/test_server_rpc_17.cpp
+++ b/test/src/test_server_rpc_17.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/doctest.hpp"
diff --git a/test/src/test_unifex_20.cpp b/test/src/test_unifex_20.cpp
index b6796185..3093843f 100644
--- a/test/src/test_unifex_20.cpp
+++ b/test/src/test_unifex_20.cpp
@@ -12,7 +12,7 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
 #include "utils/client_rpc.hpp"
diff --git a/test/utils/utils/client_rpc.hpp b/test/utils/utils/client_rpc.hpp
index f3b6b6e8..053a3da5 100644
--- a/test/utils/utils/client_rpc.hpp
+++ b/test/utils/utils/client_rpc.hpp
@@ -15,10 +15,10 @@
 #ifndef AGRPC_UTILS_CLIENT_RPC_HPP
 #define AGRPC_UTILS_CLIENT_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/client_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/client_rpc_test.hpp b/test/utils/utils/client_rpc_test.hpp
index 76d3e4c7..f6d450ee 100644
--- a/test/utils/utils/client_rpc_test.hpp
+++ b/test/utils/utils/client_rpc_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_CLIENT_RPC_TEST_HPP
 #define AGRPC_UTILS_CLIENT_RPC_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 #include "utils/asio_utils.hpp"
 #include "utils/client_context.hpp"
@@ -27,7 +27,7 @@
 #include "utils/time.hpp"
 
 #include <agrpc/client_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <functional>
 #include <type_traits>
diff --git a/test/utils/utils/doctest.hpp b/test/utils/utils/doctest.hpp
index 3c44fd47..b2928973 100644
--- a/test/utils/utils/doctest.hpp
+++ b/test/utils/utils/doctest.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_DOCTEST_HPP
 #define AGRPC_UTILS_DOCTEST_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 #include <type_traits>
 
diff --git a/test/utils/utils/execution_test.hpp b/test/utils/utils/execution_test.hpp
index 13deda3d..8c77dc01 100644
--- a/test/utils/utils/execution_test.hpp
+++ b/test/utils/utils/execution_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_EXECUTION_TEST_HPP
 #define AGRPC_UTILS_EXECUTION_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/client_rpc.hpp"
 #include "utils/client_rpc_test.hpp"
 #include "utils/execution_utils.hpp"
diff --git a/test/utils/utils/grpc_client_server_test.cpp b/test/utils/utils/grpc_client_server_test.cpp
index 4934a697..1f4db71b 100644
--- a/test/utils/utils/grpc_client_server_test.cpp
+++ b/test/utils/utils/grpc_client_server_test.cpp
@@ -14,7 +14,7 @@
 
 #include "utils/grpc_client_server_test.hpp"
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <grpcpp/server_context.h>
 
diff --git a/test/utils/utils/grpc_client_server_test.hpp b/test/utils/utils/grpc_client_server_test.hpp
index 1a831919..8b3e8b84 100644
--- a/test/utils/utils/grpc_client_server_test.hpp
+++ b/test/utils/utils/grpc_client_server_test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_GRPC_CLIENT_SERVER_TEST_HPP
 #define AGRPC_UTILS_GRPC_CLIENT_SERVER_TEST_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/grpc_client_server_test_base.hpp"
 
 #include <grpcpp/server_context.h>
diff --git a/test/utils/utils/grpc_format.cpp b/test/utils/utils/grpc_format.cpp
index 12e4154f..a8470cc4 100644
--- a/test/utils/utils/grpc_format.cpp
+++ b/test/utils/utils/grpc_format.cpp
@@ -14,7 +14,7 @@
 
 #include "utils/grpc_format.hpp"
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/support/status_code_enum.h>
 
 namespace grpc
diff --git a/test/utils/utils/grpc_format.hpp b/test/utils/utils/grpc_format.hpp
index 57a0510a..5fe8ac48 100644
--- a/test/utils/utils/grpc_format.hpp
+++ b/test/utils/utils/grpc_format.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_GRPCFORMAT_HPP
 #define AGRPC_UTILS_GRPCFORMAT_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/support/status_code_enum.h>
 
 namespace grpc
diff --git a/test/utils/utils/introspect_rpc.hpp b/test/utils/utils/introspect_rpc.hpp
index 324810d7..b025d6dd 100644
--- a/test/utils/utils/introspect_rpc.hpp
+++ b/test/utils/utils/introspect_rpc.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_INTROSPECT_RPC_HPP
 #define AGRPC_UTILS_INTROSPECT_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 
 #include <agrpc/client_rpc.hpp>
diff --git a/test/utils/utils/main.cpp b/test/utils/utils/main.cpp
index 9acddf80..a10c5193 100644
--- a/test/utils/utils/main.cpp
+++ b/test/utils/utils/main.cpp
@@ -15,7 +15,7 @@
 #include <gmock/gmock.h>
 
 #define DOCTEST_CONFIG_IMPLEMENT
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 int main(int argc, char** argv)
 {
diff --git a/test/utils/utils/precompiled_header.hpp b/test/utils/utils/precompiled_header.hpp
index 61102a91..339ac6e1 100644
--- a/test/utils/utils/precompiled_header.hpp
+++ b/test/utils/utils/precompiled_header.hpp
@@ -12,9 +12,9 @@
 // See the License for the specific language governing permissions and
 // limitations under the License.
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <google/protobuf/arena.h>
 #include <google/protobuf/extension_set.h>
 #include <google/protobuf/generated_message_reflection.h>
diff --git a/test/utils/utils/protobuf.hpp b/test/utils/utils/protobuf.hpp
index 91cb7f2f..3b204949 100644
--- a/test/utils/utils/protobuf.hpp
+++ b/test/utils/utils/protobuf.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_PROTOBUF_HPP
 #define AGRPC_UTILS_PROTOBUF_HPP
 
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 #include <grpcpp/impl/codegen/proto_utils.h>
 #include <grpcpp/support/proto_buffer_reader.h>
 #include <grpcpp/support/proto_buffer_writer.h>
diff --git a/test/utils/utils/rpc.cpp b/test/utils/utils/rpc.cpp
index 4fadaf62..49621397 100644
--- a/test/utils/utils/rpc.cpp
+++ b/test/utils/utils/rpc.cpp
@@ -14,14 +14,14 @@
 
 #include "utils/rpc.hpp"
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 #include "utils/client_context.hpp"
 #include "utils/client_rpc.hpp"
 #include "utils/grpc_format.hpp"
 
 #include <agrpc/grpc_context.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/rpc.hpp b/test/utils/utils/rpc.hpp
index 87b93b84..a0522336 100644
--- a/test/utils/utils/rpc.hpp
+++ b/test/utils/utils/rpc.hpp
@@ -15,11 +15,11 @@
 #ifndef AGRPC_UTILS_RPC_HPP
 #define AGRPC_UTILS_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 #include "utils/asio_forward.hpp"
 
 #include <agrpc/grpc_context.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/server_rpc.hpp b/test/utils/utils/server_rpc.hpp
index 0a10a84a..7cf07f52 100644
--- a/test/utils/utils/server_rpc.hpp
+++ b/test/utils/utils/server_rpc.hpp
@@ -15,11 +15,11 @@
 #ifndef AGRPC_UTILS_SERVER_RPC_HPP
 #define AGRPC_UTILS_SERVER_RPC_HPP
 
-#include "test/v1/test.grpc.pb.h"
+#include "test/proto/test/v1/test.grpc.pb.h"
 
 #include <agrpc/default_server_rpc_traits.hpp>
 #include <agrpc/server_rpc.hpp>
-#include <doctest/doctest.h>
+#include "doctest/doctest.h"
 
 namespace test
 {
diff --git a/test/utils/utils/test.hpp b/test/utils/utils/test.hpp
index 6adfcd18..b2f6687d 100644
--- a/test/utils/utils/test.hpp
+++ b/test/utils/utils/test.hpp
@@ -15,7 +15,7 @@
 #ifndef AGRPC_UTILS_TEST_HPP
 #define AGRPC_UTILS_TEST_HPP
 
-#include "test/v1/test_mock.grpc.pb.h"
+#include "test/proto/test/v1/test_mock.grpc.pb.h"
 #include "utils/grpc_context_test.hpp"
 
 namespace test
